in vec2 climateColorMapUv;
in vec2 seasonColorMapUv;
in vec4 frostColor;
in float seasonWeight;
in float heretemp;

vec4 getColorMapping(sampler2D sourceTex) {
	vec4 color = vec4(1);
	
	if (climateColorMapUv.x >= 0) {
		color = texture(sourceTex, climateColorMapUv);
		
	}
	
	if (seasonColorMapUv.x >= 0 && seasonWeight > 0) {
		vec4 seasonColor = texture(sourceTex, vec2(seasonColorMapUv.x, seasonColorMapUv.y));
		color = mix(color, seasonColor, seasonWeight);
	}
	
	if (heretemp < 0.33 && frostColor.a > 0) {
		float w = clamp((0.33 - heretemp) * 15, 0, 1);
		color.rgb = mix(color.rgb, color.rgb * (1 - frostColor.a) + frostColor.rgb * frostColor.a, w);
	}
	
	color.a=1;
	return color;
}